Package Details: pm2ml 2021.11.20.1-2

Git Clone URL: https://aur.archlinux.org/pm2ml.git (read-only, click to copy)
Package Base: pm2ml
Description: Generate metalinks for downloading Pacman packages and databases.
Upstream URL: https://xyne.dev/projects/pm2ml
Keywords: pacman
Licenses: GPL
Submitter: Xyne
Maintainer: Xyne
Last Packager: Xyne
Votes: 162
Popularity: 0.92
First Submitted: 2012-03-20 17:52 (UTC)
Last Updated: 2021-12-13 22:15 (UTC)

Latest Comments

Xyne commented on 2021-08-02 18:55 (UTC) (edited on 2021-08-02 19:16 (UTC) by Xyne)

Rolled back the workaround. It will be up in about 10 minutes.

edit: A little more than 10 minutes. I have to fix a bug with the gpg trust db before I can upload the files.

souravdas142 commented on 2021-06-24 04:10 (UTC) (edited on 2021-06-24 04:11 (UTC) by souravdas142)

@Xyne can you track the pyalpm bug report just created here for powerpill segmentation fault while downloading a group package, remember the issue? Workaround is not a solution right?

compilersJay commented on 2021-06-23 12:17 (UTC) (edited on 2021-06-23 12:24 (UTC) by compilersJay)

Hi Xyne, I'm getting 404 for both source files (.tar.xz and .sig). Could you check that the sources are available?

I think the new sources should be

https://xyne.archlinux.ca/projects/pm2ml/src/pm2ml-2021.tar.xz https://xyne.archlinux.ca/projects/pm2ml/src/pm2ml-2021.tar.xz.sig

Xyne commented on 2016-07-10 20:58 (UTC)

I have been gradually working on a new backend for a while. It is available for testing here[1]. It is not entirely backwards-compatible so please give it a try now and get ready to migrate your configuration files and scripts. Extension developers are most welcome :D. pm2ml will likely be removed when the packages are updated, at least until I rewrite a metalink generator for the new backend. Please keep related discussion in the forum thread. [1] https://bbs.archlinux.org/viewtopic.php?id=214706

commented on 2015-10-06 21:10 (UTC)

@xyne, seems the pkg for python-xcpf isnt in the aur atm.

commented on 2015-10-01 20:30 (UTC)

Can you bump the pkgrel for python3.5 recompilation?

Xyne commented on 2015-04-04 20:43 (UTC)

@tmoore You have to import my public key. Please see the numerous comments on my other package pages as well as the makepkg wiki article for details.

Xyne commented on 2015-01-25 02:59 (UTC)

@mokasin Why do you think it is not signed with my TU key? gpg --verify pm2ml-2014.12.31.tar.xz.sig gpg: assuming signed data in 'pm2ml-2014.12.31.tar.xz' gpg: Signature made 2014-12-31 W01-3 00:55:07 +0000 UTC using RSA key ID 8F173680 gpg: Good signature from "Xyne. (key #3) <xyne@archlinux.ca>" [ultimate]

mokasin commented on 2015-01-19 10:07 (UTC)

@Xyne, why isn't it signed with your TU Key on https://www.archlinux.org/people/trusted-users/#xyne ?

Xyne commented on 2014-12-31 01:24 (UTC)

Incidentally, if you use the repo on my site then pacman automatically verifies my signatures using the archlinux keyring. Bonus: the packages are already built free of charge. ;)

Xyne commented on 2014-12-31 01:22 (UTC)

I would also recommend importing my public key but if you would prefer another method, you can use this command (all on one line) as well: GNUPGHOME=/etc/pacman.d/gnupg makepkg ... where ... are the makepkg arguments.

suridaj commented on 2014-12-30 13:19 (UTC)

@RazZziel: This is circumvented/solved if you import Xyne's public key to your keyring: gpg --keyserver pgp.mit.edu --recv-keys 1D1F0DC78F173680

RazZziel commented on 2014-12-30 08:15 (UTC)

Fails to verify: ==> Verifying source file signatures with gpg... pm2ml-2014.12.tar.xz ... FAILED (unknown public key 1D1F0DC78F173680) ==> ERROR: One or more PGP signatures could not be verified! ==> ERROR: Makepkg was unable to build pm2ml.

Xyne commented on 2013-06-11 17:03 (UTC)

@gadcc Sorry, I didn't see that option in those files. It has been removed. I honestly don't even remember what it did, but I must have removed an option from pm2ml.

gadcc commented on 2013-06-08 02:00 (UTC)

looks at ppl 38 ,44 line ppls 14 line, pplsyu 17 line, these files don't work, if these files is outdated, why not just delete these.

Xyne commented on 2013-06-07 22:14 (UTC)

@gadcc 1) It seems to be an error in Python's argparse module, so there is nothing that I can do about that. 2) Neither ppl nor pm2ml support "-n", so I'm not sure what you are expecting, but it would just be a different error if argparse worked. 3) If you are still using ppl (powerpill-light), then you should switch to powerpill. ppl is a very simplistic wrapper that was used as a stop-gap.

gadcc commented on 2013-06-07 03:54 (UTC)

/usr/bin/ppl, pm2ml -ysno var/lib/pacman/sync pm2ml: error: argument -s/--sigs: ignored explicit argument 'no' please fix this bug

Xyne commented on 2012-12-10 14:49 (UTC)

In case anyone missed it, Powerpill has been re-released: https://aur.archlinux.org/packages.php?ID=65059

Xyne commented on 2012-11-28 22:56 (UTC)

@Whitie It was a bug due to the still somewhat recent rearrangement of modules in the python3-aur package. It should be fixed now.

Whitie commented on 2012-11-27 17:49 (UTC)

When running pm2ml -y -u -a the following exception is raised: Traceback (most recent call last): File "/usr/lib/python3.3/site-packages/pm2ml.py", line 204, in search_aur return AUR.insert_full_urls(search_aur.aur.info(names)) AttributeError: 'module' object has no attribute 'insert_full_urls' During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/bin/pm2ml", line 3, in <module> main() File "/usr/lib/python3.3/site-packages/pm2ml.py", line 694, in main pargs, conf, download_queue, not_found, missing_deps = build_download_queue(args) File "/usr/lib/python3.3/site-packages/pm2ml.py", line 564, in build_download_queue aur_names=foreign_names File "/usr/lib/python3.3/site-packages/pm2ml.py", line 247, in determine_upgradable aur_pkgs = search_aur(aur_names | set(foreign.pkgs)) File "/usr/lib/python3.3/site-packages/pm2ml.py", line 205, in search_aur except AUR.AURError as e: AttributeError: 'module' object has no attribute 'AURError' Is it a bug or do I need another Python package to run it (python3-aur is installed)?

commented on 2012-10-24 13:53 (UTC)

it's now fine

commented on 2012-10-24 07:53 (UTC)

some issue with the signature.... can't download the .sig for 2012.10.23

Xyne commented on 2012-10-08 18:13 (UTC)

Optionally, yes. Updating...

graysky commented on 2012-10-06 21:59 (UTC)

Shouldn't this depend on aria2?

A.J commented on 2012-05-08 21:37 (UTC)

ppls -a i see , i thought its already support aur , thanks

Xyne commented on 2012-05-08 21:16 (UTC)

@step-2 I need more information that that. What command did you execute? The ppl* wrapper scripts do not support AUR packages. You have to create your own wrapper scripts for pm2ml if you want to do that.

A.J commented on 2012-05-08 13:41 (UTC)

yes , it downloads fine but it didnt install : pacman: invalid option -- 'a' thanks a lot Xyne

Xyne commented on 2012-05-08 11:01 (UTC)

@step-2 Update python3-aur and let me know if it works.

A.J commented on 2012-05-07 12:45 (UTC)

yes , this is th output : Traceback (most recent call last): File "/usr/bin/pm2ml", line 630, in <module> main(sys.argv[1:]) File "/usr/bin/pm2ml", line 518, in main aur = list(search_aur(foreign_names)) File "/usr/bin/pm2ml", line 202, in search_aur search_aur.aur = aur = AUR.AUR(log_func=lambda x,y: None) File "/usr/lib/python3.2/site-packages/AUR.py", line 181, in __init__ self.conn = sqlite3.connect(database, detect_types=sqlite3.PARSE_DECLTYPES|sqlite3.PARSE_COLNAMES) sqlite3.OperationalError: unable to open database file Exception caught Exception: [metalink_helper.cc:130] errorCode=20 Could not parse Metalink XML document.

Xyne commented on 2012-05-06 13:43 (UTC)

@step-2 Did you install python3-aur?

A.J commented on 2012-05-03 20:12 (UTC)

great tool couldnt git it work with aur though ..